import request from '@/utils/request'

// 查询红包领取记录列表
export function listPointsRedPacketReceive(query) {
  return request({
    url: '/system/pointsRedPacketReceive/list',
    method: 'get',
    params: query
  })
}

// 查询红包领取记录详细
export function getPointsRedPacketReceive(id) {
  return request({
    url: '/system/pointsRedPacketReceive/' + id,
    method: 'get'
  })
}

// 新增红包领取记录
export function addPointsRedPacketReceive(data) {
  return request({
    url: '/system/pointsRedPacketReceive',
    method: 'post',
    data: data
  })
}

// 修改红包领取记录
export function updatePointsRedPacketReceive(data) {
  return request({
    url: '/system/pointsRedPacketReceive',
    method: 'put',
    data: data
  })
}

// 删除红包领取记录
export function delPointsRedPacketReceive(id) {
  return request({
    url: '/system/pointsRedPacketReceive/' + id,
    method: 'delete'
  })
}
